.error-message {
	color: @vermelho-erro;
}

.error-roteiro-acesso {
	border: 1px solid;
	border-color: @vermelho-erro;
}

.obrigatorio{
	&:after{
		content: '*';
		color: @vermelho-erro;
		margin-left: 5px;
	}
}

.main-container{
	padding-bottom: 20px;
}
	
.rodape-cadastro{
	margin-top: 40px;
	margin-bottom: 40px;
}

.check-inline{
	margin: 0 0 0 10px;
}

.tab-padding-top{
	padding-top: 5px;
}

.tab-content{
	padding-top: 15px;
}

form{

	&.ng-submitted{
		
		.form-control, .form-control-justificativa {

			&.ng-invalid {
				border-color: @vermelho-erro;
				outline-color: @vermelho-erro;
				box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(113, 0, 0, 0.2);
			}

		}

	}

	.form-control{
		padding: 6px 6px !important;
	}

	.form-control-justificativa{
		padding: 6px 6px !important;
		height: 110px;
  		width: 100%;
  		font-weight: normal;
		border-style: solid;
		border-width: 1px;
	}

	.animate-if.ng-enter {
		transition: all 0.5s;
	}

	.animate-if.ng-leave {
		transition: all 0.3s;
	}

	.animate-if.ng-enter,
	.animate-if.ng-leave.ng-leave-active {
		opacity: 0;
	}

	.animate-if.ng-leave,
	.animate-if.ng-enter.ng-enter-active {
		opacity: 1;
	}

}

.icone-representante{

	&.proprietario{
		&:before{
			content: "P";
		}
		background-color: steelblue;
	}

	&.arrendatario{
		&:before{
			content: "A";
		}
		background-color: #4cae4c;
	}


	&.representante{
		&:before{
			content: "R";
		}
		background-color: #FFA500;
	}

	color: white;
	border-radius: 50%;
	padding: 4px 8px;

}

.icone-responsavel-tecnico{

	&.legal{
		&:before{
			content: "L";
		}
		background-color: steelblue;
	}

	&.tecnico{
		&:before{
			content: "T";
		}
		background-color: #4cae4c;
	}

	color: white;
	border-radius: 50%;
	padding: 4px 8px;

}

.control-label {
	color: @cinza-escuro;
}

.clicavel{
	cursor: pointer;
}

.legenda-responsaveis{
	span{
		margin-right: 10px;
	}
	.legal {
		margin-left: 7px;
	}
}

.input-radio-error {
	border: 1px solid;
	border-color: @vermelho-erro;
	outline-color: @vermelho-erro;
	box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(113,0,0,.2);
	border-radius: 4px;

	&.inline{
		height: 34px;
	}
}

.button-error {
	border-color: @vermelho-erro;
	outline-color: @vermelho-erro;
	box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(113,0,0,.2);

	&:hover {
		border-color: @vermelho-erro;
		outline-color: @vermelho-erro;
		box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(113,0,0,.2);			
	}

	&:focus {
		border-color: @vermelho-erro;
		outline-color: @vermelho-erro;
		box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(113,0,0,.2);			
	}

	&:active {
		border-color: @vermelho-erro;
		outline-color: @vermelho-erro;
		box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(113,0,0,.2);

		&:focus{
			border-color: @vermelho-erro;
			outline-color: @vermelho-erro;
			box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(113,0,0,.2);
		}
	}		
}

.dropdown-submenu:hover>.dropdown-menu {
	display: block;
	position: relative;
	top: -10px;
	left: 20px;
	width: 285px;
	z-index: 9999;
}

.accordion a:hover, .accordion a:focus {
	color: inherit;
	text-decoration: none;
}

.vincular-representante {
	padding-top: 15px;
}

.input-number-mask-pequeno {
	width: 50%;
}

.input-number-mask-menor {
	width: 22%;
}

